<?php

namespace App\Admin\Controllers;

use App\Admin\Metrics\Examples;
use App\Http\Controllers\Controller;
use Dcat\Admin\Http\Controllers\Dashboard;
use Dcat\Admin\Layout\Column;
use Dcat\Admin\Layout\Content;
use Dcat\Admin\Layout\Row;
use Dcat\Admin\Widgets\Card;
use Dcat\Admin\Widgets\Linkbox;
use Dcat\Admin\Widgets\MediaList;
use Dcat\Admin\Widgets\Callout;
use Dcat\Admin\Widgets\Alert;
use Dcat\Admin\Widgets\ListGroup;
use Dcat\Admin\Widgets\InfoList;
use Dcat\Admin\Widgets\CoverCard;

class HomeController extends Controller
{
    public function index(Content $content)
    {

        $alert = Alert::make('','Dcat-plus Admin 特色');
                $content =  $content
                    ->view('admin.layouts.content')
                    ->header('Prime Admin')
                    ->description('description')
                    ->row($alert->info())
                    ->row(function (Row $row) {
                        $row->column(6, function (Column $column) {
                            $column->row(Dashboard::author());
                            $column->row(new Examples\Tickets());
                        });

                        $row->column(6, function (Column $column) {
                            $group = ListGroup::make();

                            // 获取已安装扩展包信息
                            $installedPackages = json_decode(file_get_contents(base_path('vendor/composer/installed.json')), true);

                            // 指定要获取版本号的扩展包名称
                            $packageName = 'dcat-plus/laravel-admin';

                            // 查找指定扩展包的版本号
                            $packageVersion = '--';
                            if(!empty($installedPackages['packages'])){
                                foreach ($installedPackages['packages'] as $package) {
                                    if ($package['name'] === $packageName) {
                                        $packageVersion = $package['version'];
                                        break;
                                    }
                                }
                            }
                            $group->add('Dcat-plus Admin  Version',  $packageVersion,'#');
                            $group->add('PHP Version',  phpversion(),'#');
                            $group->add('Laravel Version', app()->version(),'#');
                            $group->add('Dcat-plus Admin 下载次数', 896,'#');

                            //$group->add('这是第5个标题', '这是第5个');
                            $column->row($group->render());
                            $column->row(function (Row $row) {
                                $cover_card = CoverCard::make()->add('开源公众号','关注公众号 随时了解更新动态')
                                    ->bg('https://dcat-plus.saishiyun.net/img/card-bg1.jpeg')
                                    ->avatar('https://dcat-plus.saishiyun.net/img/wxgzh_qrcode.jpg');
                                $row->column(6, $cover_card->render());

                                $cover_card1 = CoverCard::make()->add('赞助捐助开源','鼓励作者持续更新')
                                    ->bg('https://dcat-plus.saishiyun.net/img/card-bg2.jpeg')
                                    ->avatar('https://dcat-plus.saishiyun.net/img/weixinpay.jpg');
                                $row->column(6, $cover_card1->render());

                                $row->column(6, new Examples\NewUsers());
                                $row->column(6, new Examples\NewDevices());
                            });

                            $column->row(new Examples\Sessions());
                            $column->row(new Examples\ProductOrders());
                        });
                    });

        return $content;
    }
}
